.::SWF::Sound(3)

NAME
SWF::Sound - SWF Sound class

SYNOPSIS
        use SWF::Sound;
        $sound = new SWF::Sound("test.mp3");
        # also via SWF::SoundStream:
        $sstr  = new SWF::SoundStream("test.mp3");
        $sound = new SWF::Sound($sstr);
        #
        $movie->startSound($sound);

DESCRIPTION
SWF::Sound is a helper class useful for making noise of every kind...

METHODS

$sound = new SWF::Sound($filename, [$flags])
$sound = new SWF::Sound($soundstream)
    Both types of constructor method are creating a Sound object. The first one uses a filename (e.g. of mp3 file), the second one is operating on an already created SWF::SoundStream object. The first constructor type also accepts flags for file description, SWF_SOUND_MP3_COMPRESSED is one of them. More flags are part of SWF::Constant class. The created object can be used for example as parameter in SWF::Movie's startSound() method.

AUTHOR
        developers of ming.sourceforge.net, Albrecht Kleine

SEE ALSO
SWF, SWF:: Movie, SWF::MovieClip, SWF::Button, SWF::SoundInstance, SWF::SoundStream, SWF::Constants